import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.gpu_baremetal.clusters.servers.apply_settings(
server_id="f1c1eeb6-1834-48c9-a7b0-daafce64872b",
project_id=1,
region_id=7,
cluster_id="1aaaab48-10d0-46d9-80cc-85209284ceb4",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.GPUBaremetal.Clusters.Servers.ApplySettings(
context.TODO(),
"f1c1eeb6-1834-48c9-a7b0-daafce64872b",
cloud.GPUBaremetalClusterServerApplySettingsParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
ClusterID: "1aaaab48-10d0-46d9-80cc-85209284ceb4",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
curl --request POST \
--url https://api.gcore.com/cloud/v3/gpu/baremetal/{project_id}/{region_id}/clusters/{cluster_id}/servers/{server_id}/apply_settings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"max_disruption": "rebuild"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_disruption: 'rebuild'})
};
fetch('https://api.gcore.com/cloud/v3/gpu/baremetal/{project_id}/{region_id}/clusters/{cluster_id}/servers/{server_id}/apply_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Apply settings to bare metal GPU cluster server
Apply updated server settings to a specific server in a bare metal GPU cluster. During this process, the server receives a new image, SSH key, and user data. Important: Before applying settings, the cluster must have updated server settings. These cluster settings must be patched using the following endpoint: PATCH ‘/v3/gpu/baremetal///clusters/’
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.gpu_baremetal.clusters.servers.apply_settings(
server_id="f1c1eeb6-1834-48c9-a7b0-daafce64872b",
project_id=1,
region_id=7,
cluster_id="1aaaab48-10d0-46d9-80cc-85209284ceb4",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.GPUBaremetal.Clusters.Servers.ApplySettings(
context.TODO(),
"f1c1eeb6-1834-48c9-a7b0-daafce64872b",
cloud.GPUBaremetalClusterServerApplySettingsParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
ClusterID: "1aaaab48-10d0-46d9-80cc-85209284ceb4",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
7
Cluster unique identifier
"1aaaab48-10d0-46d9-80cc-85209284ceb4"
Server unique identifier
"f1c1eeb6-1834-48c9-a7b0-daafce64872b"
Body
The most disruptive operation the request is permitted to perform on existing servers. Applying settings re-images the servers, so this must be set to 'rebuild' to proceed. The default 'none' always fails with a validation error and exists only to prevent accidental destructive applies.
none, rebuild "rebuild"
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?